org.apache.solr.client.solrj.response.schema

## Class SchemaResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.schema.SchemaResponse

- All Implemented Interfaces:
    Serializable

      public class SchemaResponse
      extends SolrResponseBase

  This class is used to wrap the response messages retrieved from Solr Schema API.
  Since:
    solr 5.3
  See Also:
    Solr Schema API, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchemaResponse.CopyFieldsResponse`
    `static class` | `SchemaResponse.DefaultQueryOperatorResponse`
    `static class` | `SchemaResponse.DynamicFieldResponse`
    `static class` | `SchemaResponse.DynamicFieldsResponse`
    `static class` | `SchemaResponse.FieldResponse`
    `static class` | `SchemaResponse.FieldsResponse`
    `static class` | `SchemaResponse.FieldTypeResponse`
    `static class` | `SchemaResponse.FieldTypesResponse`
    `static class` | `SchemaResponse.GlobalSimilarityResponse`
    `static class` | `SchemaResponse.SchemaNameResponse`
    `static class` | `SchemaResponse.SchemaVersionResponse`
    `static class` | `SchemaResponse.UniqueKeyResponse`
    `static class` | `SchemaResponse.UpdateResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaRepresentation` | `getSchemaRepresentation()`
    `void` | `setResponse(NamedList<Object> response)`

    - ### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

      `getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaResponse

          public SchemaResponse()

  - ### Method Detail

    - #### setResponse

          public void setResponse(NamedList<Object> response)

      Overrides:
        `setResponse` in class `SolrResponseBase`

    - #### getSchemaRepresentation

          public SchemaRepresentation getSchemaRepresentation()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.